package com.yutou.tools.mybatis.dao;

import com.yutou.tools.mybatis.model.UKey;
import com.yutou.tools.mybatis.model.UKeyExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UKeyDao {
    long countByExample(UKeyExample example);

    int deleteByExample(UKeyExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(UKey record);

    int insertSelective(UKey record);

    List<UKey> selectByExample(UKeyExample example);

    UKey selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") UKey record, @Param("example") UKeyExample example);

    int updateByExample(@Param("record") UKey record, @Param("example") UKeyExample example);

    int updateByPrimaryKeySelective(UKey record);

    int updateByPrimaryKey(UKey record);
}